/*********************************************************************************
**
**   $Id: WorkOrderForm.h,v 1.5 2004/04/03 14:04:53 croftj Exp $
**   Copyright (c) 2004 Joe Croft <joe@croftj.net>
**   
**   This file is part of ah2.
**
**   ah2 is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 2 of the License, or
**   (at your option) any later version.
**
**   Foobar is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with Foobar; if not, write to the Free Software
**   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*********************************************************************************/

#ifndef WORKORDERFORM_H
#define WORKORDERFORM_H

#include <qdatetimeedit.h>
#include <qtextedit.h>

#include "Data/DataForm.h"

class DateEntry : public QDateEdit 
{
   Q_OBJECT               
   Q_PROPERTY( QString date READ get WRITE set );
public:
   DateEntry(QWidget * parent = 0, const char * name = 0) : QDateEdit(parent, name) { setOrder(MDY); };
   QString get() const;
   void set(QString);
private:
protected:
};

class WorkOrderForm : public DataForm 
{
   Q_OBJECT

public:
   WorkOrderForm(QWidget *pParent = 0, const char *pName = 0, WFlags f = 0 );
   WorkOrderForm(const int _parent, QWidget *pParent = 0, const char *pName = 0, WFlags f = 0 );
   ~WorkOrderForm() {};
   QString getWorkorder() 
   {
      return(wonumEdit->text());
   };
   bool isClosed() 
   {
      printf("WorkOrderForm::isClosed: closedEdit = |%s|\n", (const char*)closedEdit->text());
      if ( closedEdit->text() == "Y" ) 
         return(true);
      else 
         return(false);
   };

public slots:   
   void deleteRecord();

protected:
private:
   QLineEdit      *wonumEdit;
   QLineEdit      *closedEdit;
   DateEntry      *dateinEdit;
   DateEntry      *dateoutEdit;
   QTextEdit      *recomendEdit;
   MoneyEdit      *hazmatEdit;
   MoneyEdit      *r_laborEdit;
   MoneyEdit      *taxEdit;
   MoneyEdit      *totalEdit;
};

#endif

