/*********************************************************************************
**
**   $Id: laborentry.ui.h,v 1.5 2004/05/27 11:44:07 croftj Exp $
**   Copyright (c) 2004 Joe Croft <joe@croftj.net>
**   
**   This file is part of ah2.
**
**   ah2 is free software; you can redistribute it and/or modify
**   it under the terms of the GNU General Public License as published by
**   the Free Software Foundation; either version 2 of the License, or
**   (at your option) any later version.
**
**   Foobar is distributed in the hope that it will be useful,
**   but WITHOUT ANY WARRANTY; without even the implied warranty of
**   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
**   GNU General Public License for more details.
**
**   You should have received a copy of the GNU General Public License
**   along with Foobar; if not, write to the Free Software
**   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
**
*********************************************************************************/

#include <qmessagebox.h>

void LaborEntry::initialize()
{
   woLaborTable->refresh();
   woLaborTable->selectRow(0);
//   updateBtn->setEnabled(false);
//   deleteBtn->setEnabled(false);
   woLaborForm->descrEdit->setFocus();
}

void LaborEntry::accept()
{
   woLaborForm->updateRecord();
   woLaborForm->commitTransaction();
   done(woLaborForm->getLastIdent().toInt());
}

void LaborEntry::reject()
{
   if ( woLaborForm->isInTransaction())
   {
      if (QMessageBox::warning(this, "Discarding Changes", 
                                "Canceling this will discard <b>ALL</b> of your changes. Are you sure you want to continue?",
                                QMessageBox::Yes, QMessageBox::No) == QMessageBox::Yes)
      {
         woLaborForm->rollbackTransaction();
         done(QDialog::Rejected);
      }
   }
   else 
   {
      done(QDialog::Rejected);
   }
}


void LaborEntry::insertRecord()
{
   woLaborForm->insertRecord();
   woLaborForm->descrEdit->setFocus();
//   updateBtn->setEnabled(true);
//   deleteBtn->setEnabled(true);
}

void LaborEntry::updateRecord()
{
   woLaborForm->updateRecord();
   woLaborForm->descrEdit->setFocus();
}

void LaborEntry::deleteRecord()
{
   woLaborForm->deleteRecord();
   woLaborForm->descrEdit->setFocus();
//   updateBtn->setEnabled(false);
//   deleteBtn->setEnabled(false);
}


void LaborEntry::refresh( QSqlRecord *r )
{
   printf("LaborEntry::changeCurrentPart(): Enter\n");
   woLaborForm->refresh(r);
   woLaborForm->setEnabled(true);
   printf("LaborEntry::changeCurrentPart(): Exit\n");
}


void LaborEntry::keyPressEvent( QKeyEvent * e )
{
   printf("LaborEntry::keyPressEvent(): Entry, have key press for %s\n", e->text().isNull() == true ? "NULL" : (const char*)e->text());
   switch ( e->key() ) 
   {
      case Qt::Key_Escape: 
         e->accept();
         done(QDialog::Rejected);
         break;

      case Qt::Key_Up:
      case Qt::Key_Down:
         printf("LaborEntry::keyPressEvent(): Have up or down key");
         e->accept();
         woLaborTable->haveKey(e);
         break;

      default:
         e->ignore();
   }
   printf("LaborEntry::keyPressEvent(): Exit\n");
}
